SkillServer Integrations

Create Skill Server Integration

Create SkillServer integration

post
/v1/integration/skillserver/create

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Request Body * Required

Request Body Schema: application/json

aliasstring

The unique alias for the instance

namestring

The associated name

descriptionstring

The associated description

metaobject

Meta data information

blueprintIdstring

The ID of the blueprint

skillsetIdstring

The ID of the skillset

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.integration.skillserver.create(

{
"alias":"string",
"name":"string",
"description":"string",
"meta":"object",
"blueprintId":"string",
"skillsetId":"string"
}
)
{
"id":"string"
}
The SkillServer integration was created successfully